/*头部样式*/
.top-container{
    width: 100%;
    height: auto !important;
    position: relative;
}
.banner-title{
    position: absolute;
    top: 42%;
    /*left: 45%;*/
    text-align: center;
    width: 100%;
}
.about-container{
    padding: 1rem 0;
    display: flex;
    gap: 0.5rem;
}
.container-left{
    width: 45%;
}
.container-text{
    padding: 1.2rem 0 0.4rem 0;
}
.container-text-e{
    font-family: BigCaslon, sans-serif;
    font-size: 0.18rem;
    color: #999999;
}
.container-text-title{
    font-family: BigCaslon, sans-serif;
    font-size: 0.48rem;
    color: #2a2623;
}
.container-text-p{
    font-family: SukhumvitSet-Light, sans-serif !important;
    font-size: 0.16rem;
    color: #999999;
}
.container-data{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}
.data-card{
    display: flex;
    border-left: 1px solid #a0a0a0;
    padding: 0 0 0 0.5rem;
    flex-direction: column;
    /*justify-content: center;*/
}
.card-num{
    font-family: SukhumvitSet-Thin, sans-serif !important;
    color: #a9543f;
    font-size: 0.5rem;
    font-weight: 600;
}

.card-a{
    font-family: SukhumvitSet-Light, sans-serif !important;
    color: #a0a0a0;
    font-size: 0.16rem;
}
.container-right{
    position: relative;
    display: inline-block;
    overflow: hidden;       /* 关键！超出部分隐藏 -> 放大的图片被裁剪在框内 */
}
.container-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease; /* 缓慢放大效果 */
}

.container-right:hover .container-img {
    transform: scale(1.08);     /* 平滑放大8%，视觉明显但不突兀 */
}

.map{
    width: 100%;
    text-align: center;
    background-color: #f8f8f8;
    position: relative;
}
.map-title{
    font-family: BigCaslon, sans-serif;
    padding: 0.9rem 0;
}
.map-t{
    font-size: 0.18rem;
    color: #999999;
}
.map-a{
    font-size: 0.48rem;
    color: #2a2623;
}
.map-card{
    position: absolute;
}
.map-card-note{
    z-index: 10;
    max-width: 3rem;
    width: 3rem;
    background-color: #fff;
    bottom: .4rem;
    position: absolute;
    left: 11%;
    transform: translateX(-50%);
    padding: 0.2rem;
    box-shadow:0 0 .1rem rgba(0,0,0,.1)
}

.map-card-note:after {
    content: "";
    position: absolute;
    top: 100%;
    left: 0.4rem;
    margin-left: 1rem;
    border-width: 0.08rem;
    border-style: solid;
    border-color: #fff transparent transparent transparent;
}
.map-p{
    margin-bottom: 0.9rem;
}
.map-p{
    position: relative;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.services{
    padding: 1rem 0rem;
}
.services-title{
    text-align: center;
    font-family: BigCaslon, sans-serif;
}
.services-title-title{
    font-size: 0.18rem;
    color: #999999;
}
.services-title-a{
    font-size: 0.48rem;
    color: #2a2623;
}
.services-i{
    padding-top: 0.5rem;
    display: flex;
    gap: 0.2rem;
}
.services-d1{
    height: 5.9rem;
    flex:1;
    position: relative;
    display: inline-block;
    overflow: hidden;       /* 关键！超出部分隐藏 -> 放大的图片被裁剪在框内 */
    transition: .5s ease-out; /* 控制展开时间 */
}
/*.services-d1:hover .services-img {*/
/*    transform: scale(1.08);*/
/*}*/
.services-img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.bottom-mask{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40%;          /* 遮罩占据底部 40% 高度，可调整 */
    background: linear-gradient(to top, rgba(0,0,0,0.7), transparent);
    pointer-events: none; /* 让遮罩不干扰点击图片 */
}

.services-item-title{
    color: #ffffff;
    font-size: 0.2rem;
    font-family: BigCaslon, sans-serif;
    transform: translateY(5rem);
    transition: .5s;
}

.services-item{
    position: absolute;
    bottom: 0.2rem;
    left: 0;
    width: 100%;
    font-size: .2rem;
    line-height: .3rem;
    text-align: center;
}
.services-d1 .icon{width: 1.5rem;height: .6rem;position: absolute;top: calc(50% - .3rem);left: 50%;transform: translateX(-50%) scale(0);transition: .5s;}
.services-d1.active{flex:3.5}
.services-d1.active .services-item-title{transform: translateY(0);}
.services-d1.active .icon{transform: translateX(-50%) scale(1);}

.team{
    padding: 1rem 0;
    background-color: #f8f8f8;
    text-align: center;
}
.team-title-a{
    font-family: BigCaslon, sans-serif;
    color: #2a2623;
    font-size: 0.48rem;
}
.team-title-b{
    font-family: SukhumvitSet-Light, sans-serif;
    padding: 0 2.2rem;
    color: #999999;
    font-size: 0.16rem;
}
.team-i{
    display: flex;
    gap: 0.2rem;
    padding: 1rem 0;
}
.team-member{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-start;
    width: 25%;
    /*gap: 0.2rem;*/
}

.team-member-title{
    font-family: BigCaslon, sans-serif;
    color: #2a2623;
    font-size: 0.2rem;
    padding-bottom: 0.1rem;
    padding-top: 0.2rem;
}
.team-member-title-a{
    font-family: SukhumvitSet-Light, sans-serif;
    color: #999999;
    font-size: 0.14rem;
    text-align: justify;
    word-break:break-all;
}
.team-member-img{
    height: 5rem;
    position: relative;
    display: inline-block;
    overflow: hidden;       /* 关键！超出部分隐藏 -> 放大的图片被裁剪在框内 */
}
.team-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease; /* 缓慢放大效果 */
}

.team-member-img:hover .team-img {
    transform: scale(1.08);
}

.share{
    padding: 1rem 0;
}
.share-title{
    text-align: center;
}
.share-title-a{
    font-family: BigCaslon, sans-serif;
    color: #2a2623;
    font-size: 0.48rem;
}
.share-title-b{
    font-family: SukhumvitSet-Light, sans-serif;
    color: #999999;
    font-size: 0.16rem;
    padding: 0.2rem  2.2rem;
}

.share .swiper-slide {
    height: 4.15rem;
    text-align: center;
    font-size: 0.18rem;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.5s, opacity 0.5s; /* 平滑过渡效果 */
    opacity: 0.5; /* 默认所有幻灯片透明度 */
    transform: scale(0.9); /* 默认所有幻灯片缩小 */
}
.share .swiper-slide a{display: block;width: 100%;height: 100%;}
.share.share .swiper-slide .swiper-img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.share .swiper-slide-active {
    opacity: 1; /* 活动幻灯片不透明 */
    transform: scale(1); /* 活动幻灯片正常大小 */
}

.bottom-mask {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40%;          /* 遮罩占据底部 40% 高度，可调整 */
    background: linear-gradient(to top, rgba(0,0,0,0.7), transparent);
    pointer-events: none; /* 让遮罩不干扰点击图片 */
}
.share-item{
    position: absolute;
    bottom: 0.2rem;
    left: 0.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90%;
}
.share-item-text{
    font-family: BigCaslon, sans-serif;
    font-size: 0.18rem;
}
.share-item-title{
    font-family: SukhumvitSet-Light, sans-serif !important;
    font-size: 0.14rem;
}

@media (max-width: 750px) {
    .about-container{
        padding: 0.7rem 0;display: block;
    }
    .about-container > div{
        width: 100%;
    }
    .container-text{padding-top:0;}
    .container-text-e{padding-top: 0;font-size: 0.28rem;}
    .container-text-p,.card-a{font-size: 0.26rem;}
    /* .container-text-title,.map-a,.services-title-a{font-size: 0.58rem;} */
    /* .card-num,.team-title-a,.share-title-a{font-size: 0.58rem;} */
    .container-data{gap:0.5rem;margin-bottom: 0.5rem;}
    .container-img{vertical-align: bottom;}
    .map-title{padding-top: 0.7rem;}
    .map-t,.services-title-title{font-size: 0.28rem;}
    .services,.team{padding: 0.7rem 0;}
    .team-title-b{padding:0;font-size: 0.26rem;}
    .team-i{padding: 0.4rem 0 0;}
    .team-i{flex-wrap: wrap;}
    .team-member{width: 48%;}
    .team-member-title{font-size: 0.3rem;}
    .team-member-title-a{font-size: 0.24rem;}
    .share{padding: 0.7rem 0;}
    .share-title-b{padding:0.2rem 0;font-size: 0.26rem;}
    .share-item-text{font-size: 0.28rem;}
    .services-i{gap:0.1rem;}
    .map-p{margin-bottom: 0;}
    .map-card span{position: absolute !important;left: 50% !important;white-space: nowrap; transform: translateX(-50%);}
    .map-card:nth-child(1){top: 10.9% !important;left: 46.2% !important;}
    .map-card:nth-child(1) span{bottom: 100% !important;right: auto !important;}
    .map-card:nth-child(2) span{top: 10% !important;left: 300% !important;bottom: auto !important;}
    .map-card:nth-child(2){top: 34% !important;left: 77% !important;}
    .map-card:nth-child(3){top: 38% !important;left: 73.5% !important;}
    .map-card:nth-child(3) span{top: 100% !important;}
    .services-i2{margin-top: 0.4rem;}
    .services-item-title{font-size: 0.3rem;line-height: normal;}
    .share .swiper-slide{height: 5.1rem;}
    .mySwiper .swiper-button-next{right: 4% !important;}
    .mySwiper .swiper-button-prev{left: 4% !important;}
    .banner-title{top: 50%;transform: translateY(-50%);}
}



